View all methods

teams.list

List all teams in DX.

Facts

Method GET https://api.getdx.com/teams.list
Required scope snapshots:read

Arguments

Name Type Description
token Token Auth token passed as an HTTP header.

Example request

This is a typical request:

curl -X GET https://api.getdx.com/teams.list \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "teams": [
    {
      "ancestors": ["LTE", "MTUxODcx", "NTA2MTg", "NTA2MTk", "NTA4Nzc"],
      "id": "NTA4Nzc",
      "parent_id": "NTA2MTk",
      "manager_id": "NTEyMDUw",
      "name": "Core Data",
      "parent": true,
      "last_changed_at": "2024-03-19T22:36:47.448Z",
      "contributors": 0,
      "reference_id": "06BEC4E0-5A61-354E-08A6-C39D756058AB"
    }
  ]
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.